Ga naar de inhoud
AchaduDevelopers
Operationele APIGa naar website
Dashboard
Developers/API/offer_update
Aanbiedingen

Aanbieding bijwerken

Werkt alleen de ingediende velden bij.

PATCH/offers/{id}offers:write

Verzoek

idstring · pathResource-ID.verplicht
urlstring · bodyOriginele HTTPS-URL voor het product.optioneel
titlestring · bodyPublieke titel van de aanbieding.optioneel
marketplacestring · bodyBron marktplaats.optioneel
pricenumber · bodyHuidige prijs.optioneel
original_pricenumber · bodyVorige prijs.optioneel
currencystring · bodyISO 4217-valuta.optioneel
imagestring · bodyHTTPS-URL van de afbeelding.optioneel
storestring · bodyWinkelnaam.optioneel
categorystring · bodyCategorie.optioneel
couponstring · bodyCouponcode.optioneel
copystring · bodyRedactionele tekst van het aanbod.optioneel
statusstring · bodySamengestelde status.optioneel

Voorbeeld

curl
curl -X PATCH 'https://achadu.com/api/v1/offers/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string"
}'

Antwoord

200Operatie voltooid
4xxFout met code, bericht en request_id